###############################################################################
#
#    Messaging Group a module for Odoo
#    Copyright © 2025 XCG Consulting (https://xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
from odoo import Command  # type: ignore[import-untyped]
from odoo.api import Environment  # type: ignore[import-untyped]


def _uninstall_hook(env: Environment):
    """Revert changes made on other module data"""
    env.ref("mail.menu_root_discuss").groups_id = [Command.clear()]
    env.ref("mail.access_discuss_channel_user").active = True
    env.ref("mail.channel_all_employees").group_ids = [
        Command.set([env.ref("base.group_user").id])
    ]


def _post_init_hook(env: Environment):
    """Change some noupdate data"""
    env.ref("mail.channel_all_employees").group_ids = [
        Command.set([env.ref("mail_messaging_group.group_messaging").id])
    ]
