/** @odoo-module **/
// Adapted from https://www.odoo.com/fr_FR/forum/aide-1/groups-option-on-owl-template-263872
import {patch} from "@web/core/utils/patch";
import {useService} from "@web/core/utils/hooks";
import {useState, onWillStart} from "@odoo/owl";
import {MessagingMenu} from "@mail/core/web/messaging_menu";

patch(MessagingMenu.prototype, {
    setup() {
        super.setup();
        this.user = useService("user");
        this.state = useState({
            canAccessDiscuss: false, // Initial visibility state
        });
        // Check if the user belongs to the "mail_messaging_group.group_messaging" group
        onWillStart(async () => {
            this.state.canAccessDiscuss = await this.user.hasGroup(
                "mail_messaging_group.group_messaging"
            );
        });
    },
});
